Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.providers.saml
Interface SAMLIdentityAssertionNameMapper

public interface SAMLIdentityAssertionNameMapper

Interface used to perform mapping of user and group information from SAML assertions.

To specify an instance of this interface to be used by the SAML Identity Asserter, set the `NameMapperClassName` attribute.

Classes implementing this interface must have a public no-arg constructor.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getGroupAttrName()` Returns the SAML AttributeName that should be used to extract group information from assertions.
`String` | `getGroupAttrNamespace()` Returns the SAML AttributeNamespace that should be used to extract group information from assertions.
`Collection` | `mapGroupInfo(SAMLNameMapperInfo info, ContextHandler handler)` Maps a `SAMLNameMapperInfo` to a user name and a `Collection` of group names.
`String` | `mapNameInfo(SAMLNameMapperInfo info, ContextHandler handler)` Maps a `SAMLNameMapperInfo` to a user name and a `Collection` of group names.

Method Detail

### getGroupAttrName

    public String getGroupAttrName()

  Returns the SAML AttributeName that should be used to extract group information from assertions. The SAML Identity Asserter will use this value to identify the Attribute containing group information and populate a `SAMLNameMapperInfo` with its values.

  Returns:
    The AttributeName.

### getGroupAttrNamespace

    public String getGroupAttrNamespace()

  Returns the SAML AttributeNamespace that should be used to extract group information from assertions. The SAML Identity Asserter will use this value to identify the Attribute containing group information and populate a `SAMLNameMapperInfo` with its values.

  Returns:
    The AttributeNamespace.

### mapGroupInfo

    public Collection mapGroupInfo(SAMLNameMapperInfo info,
                                   ContextHandler handler)

  Maps a `SAMLNameMapperInfo` to a user name and a `Collection` of group names.

  Parameters:
    `info` - The `SAMLNameMapperInfo` containing user and group information from a SAML assertion.
    `handler` - The ContextHandler passed to the SAML Identity Asserter.
  Returns:
    A `Collection` containing the mapped group names, or null if groups were not mapped.

### mapNameInfo

    public String mapNameInfo(SAMLNameMapperInfo info,
                              ContextHandler handler)

  Maps a `SAMLNameMapperInfo` to a user name and a `Collection` of group names.

  Parameters:
    `info` - The `SAMLNameMapperInfo` containing user and group information from a SAML assertion.
    `handler` - The ContextHandler passed to the SAML Identity Asserter.
  Returns:
    A `String` contained the mapped username

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD